Subject: Re: bug#48924: Add systemd

From: Ludovic Courtès <[email-masked]>
Date: Wed, 09 Jun 2021 22:25:07 +0200

Hello,

Tony O <[email-masked]> skribis:

> Yes, it is based on mbakke's work, I updated the version to latest stable and fixed the new errors :)

Heh, neat.  Be sure to preserve Marius’ copyright line.

> I'm quite happy to keep it outside guix if it's not deemed suitable, I was just encouraged to upstream stuff rather
> than keep things to myself.

Sure, it’s a good idea in general!

> My usecase at least doesnt require regular updating, so for things dependent on just "a libsystemd" this would work
> fine.

So what’s your use case?

Specifically, what’s the answer to this question:

>  Now, it would be unusable, unless/until Guix System supports systemd (an
>  option I do not support). For example, ‘guix install systemd’ wouldn’t
>  be of any use, right?

By knowing the answer and understanding potential use cases, we can make
more informed decisions.

TIA,
Ludo’.